%define momorel 2

Summary: Utilities for monitoring your system and processes on your system.
Name: procps
Version: 3.2.1
Release: %{momorel}m
License: GPL and LGPL
Group: Applications/System
URL: http://procps.sourceforge.net/
%NoSource 0 http://procps.sourceforge.net/procps-%{version}.tar.gz 2672014ec05deb20680713a7b750cb16
Patch1: procps-3.1.15-nostrip.patch
Patch3: procps-selinux.patch
Patch4: procps-3.1.15-misc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: fileutils
BuildRequires: ncurses-devel
Obsoletes: procps-X11

%description
The procps package contains a set of system utilities that provide
system information. Procps includes ps, free, skill, snice, tload,
top, uptime, vmstat, w, and watch. The ps command displays a snapshot
of running processes. The top command provides a repetitive update of
the statuses of running processes. The free command displays the
amounts of free and used memory on your system. The skill command
sends a terminate command (or another specified signal) to a specified
set of processes. The snice command is used to change the scheduling
priority of specified processes. The tload command prints a graph of
the current system load average to a specified tty. The uptime command
displays the current time, how long the system has been running, how
many users are logged on, and system load averages for the past one,
five, and fifteen minutes. The w command displays a list of the users
who are currently logged on and what they are running. The watch
program watches a running program. The vmstat command displays virtual
memory statistics about processes, memory, paging, block I/O, traps,
and CPU activity.

%prep
%setup -q

%patch1 -p1 -b .nostrip
#%%patch3 -p1 -b .selinux
%patch4 -p1 -b .misc

%build
PATH=/usr/X11R6/bin:$PATH

make CC="gcc %{optflags}" MANDIR=%{_mandir} W_SHOWFROM=-DW_SHOWFROM lib64=%{_lib}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/bin %{buildroot}/usr/bin %{buildroot}/sbin
mkdir -p %{buildroot}%{_mandir}/{man1,man5,man8}
mkdir -p %{buildroot}/%{_lib} %{buildroot}/usr/X11R6/bin
mkdir -p %{buildroot}/etc/X11/applnk/Utilities

make ldconfig="/bin/true" install="install" DESTDIR=%{buildroot} SHLIBDIR=%{buildroot}/%{_lib} OWNERGROUP= MANDIR=%{_mandir} lib64=%{_lib} install

# Remove unpackaged files:
rm -f %{buildroot}/bin/kill
rm -f %{buildroot}%{_mandir}/man1/kill.1*

%clean
rm -rf %{buildroot}

%post
# add libproc to the cache
/sbin/ldconfig
# remove obsolete files
rm -f /etc/psdevtab /etc/psdatabase

%postun -p /sbin/ldconfig

%files
%defattr(0644,root,root,755)
%doc NEWS BUGS TODO
%attr(755,root,root) /%{_lib}/libproc.so.*
%attr(755,root,root) /%{_lib}/libproc.so
%attr(555,root,root) /bin/ps
%attr(555,root,root) /sbin/sysctl
%attr(555,root,root) %{_bindir}/uptime
%attr(555,root,root) %{_bindir}/tload
%attr(555,root,root) %{_bindir}/free
%attr(555,root,root) %{_bindir}/w
%attr(555,root,root) %{_bindir}/top
%attr(555,root,root) %{_bindir}/vmstat
%attr(555,root,root) %{_bindir}/watch
%attr(555,root,root) %{_bindir}/skill
%attr(555,root,root) %{_bindir}/snice
%attr(555,root,root) %{_bindir}/pgrep
%attr(555,root,root) %{_bindir}/pkill
%attr(555,root,root) %{_bindir}/pmap
%attr(555,root,root) %{_bindir}/slabtop

%attr(0644,root,root) %{_mandir}/man1/free.1*
%attr(0644,root,root) %{_mandir}/man1/ps.1*
%attr(0644,root,root) %{_mandir}/man1/skill.1*
%attr(0644,root,root) %{_mandir}/man1/snice.1*
%attr(0644,root,root) %{_mandir}/man1/pgrep.1*
%attr(0644,root,root) %{_mandir}/man1/pkill.1*
%attr(0644,root,root) %{_mandir}/man1/pmap.1*
%attr(0644,root,root) %{_mandir}/man1/slabtop.1*
%attr(0644,root,root) %{_mandir}/man1/tload.1*
%attr(0644,root,root) %{_mandir}/man1/top.1*
%attr(0644,root,root) %{_mandir}/man1/uptime.1*
%attr(0644,root,root) %{_mandir}/man1/w.1*
%attr(0644,root,root) %{_mandir}/man1/watch.1*
%attr(0644,root,root) %{_mandir}/man8/vmstat.8*
%attr(0644,root,root) %{_mandir}/man8/sysctl.8*
%attr(0644,root,root) %{_mandir}/man5/sysctl.conf.5*

%changelog
* Thu May 20 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2.1-1m)
- verup

* Tue Oct 28 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.17-2m)
- comment out patch4 for avoid invalid value top

* Thu Oct 16 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.0.17-1m)
- update to 2.0.17
- fix License: GPL -> GPL and LGPL
  each commands have different license (GPL, LGPL and unknown!).
- use %%NoSource
- add COPYING and COPYING.LIB to %%doc
- sync with RawHide(procps-2.0.17-1)
 
* Sat Jul 26 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.0.13-1m)
- update to 2.0.13
- use %%{momorel} macro
- change source URL
- add URL tag
- add BuildRequires: ncurses-devel
- add backup option to %%patch
- add %%postun section
- sync with RawHide(procps-2.0.13-1)
-  changes are:
- * Fri Jul  4 2003 Alexander Larsson <alexl@redhat.com> 2.0.13-1
- - update to 2.0.13
- - Re-merged ntpl patch
- - Add hertz fix from Ernie Petrides <petrides@redhat.com>
- 
- * Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- - rebuilt
- 
- * Fri May 23 2003 Alexander Larsson <alexl@redhat.com> 2.0.12-1
- - Update to 2.0.12
- - Add patch to fix segfault on ps axl (#91453)

* Tue Feb 18 2003 Tsutomu Yasuda
- (2.0.11-1m)
  update to 2.0.11
  remove X11 sub package

* Fri May 17 2002 Yasuhiro Takabayashi
- (2.0.7-18k)
- change user =  guest => nobody (jitterbug #1028)

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.0.7-16k)

* Thu Jul 12 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.0.7-14k)
  fix vmstat

* Wed May  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.7-12k)
- modified systat xinetd.d file for not warning

* Fri May  4 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.7-10k)
- remove tcpd from systat against xinetd with libwrap.

* Fri Mar 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.7-8k)
- add PreReq tag

* Sun Jan 14 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.7-7k)
- added systat for xinetd

* Wed Jul 26 2000 Michael K. Johnson <johnsonm@redhat.com>
- Added Jacub's locale patch

* Fri Jul 14 2000 Michael K. Johnson <johnsonm@redhat.com>
- procps-2.0.7
- integrated all patches except for signames patch, which is broken
  and unnecessary
- See NEWS for changes between 2.0.6 and 2.0.7
- Added patch to correctly install desktop file.  Oops.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 03 2000 Preston Brown <pbrown@redhat.com>
- larger buffers for reading /proc/stat

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Tue May 30 2000 Preston Brown <pbrown@redhat.com>
- add smp, signal name patches from VA Linux.  Thanks guys.

* Mon May 22 2000 Harald Hoyer <harald@redhat.com>
- added sysctl.conf (5) man page

* Wed May 10 2000 Bill Nottingham <notting@redhat.com>
- fix PAGE_SIZE mismatch on ia64

* Sun May  7 2000 Bill Nottingham <notting@redhat.com>
- rebuild with different optimizations for ia64

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current ncurses

* Tue Mar  7 2000 Bill Nottingham <notting@redhat.com>
- fix end-of-file behavior in sysctl

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Mon Feb  7 2000 Jakub Jelinek <jakub@redhat.com>
- don't try to load System.map (and spit error messages if it does not
  exist) if ps or top are not going to use it, both to speed things up
  and remove the ugly messages when they don't make sense.
- in top, print the possible error messages using standard top SHOWMESSAGE
  (because it will be now printed out when already in terminal mode).

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- added patch to prevent divide by zero on UltraSparc
- gzip man pages

